Subject: Re: Successfull Build of gcc on Cygwin WinXp SP2
From: "Aaron Gray" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Tue, 1 May 2007 11:58:57 +0100
List-Id: <cygwin.cygwin.com>

> Aaron Gray wrote:
>
>> Thank you. I am a bit unsure of where abouts (what directory) do you 
>> install
>> the snapshot ?
>
> Again, this has nothing to do with gcc, take it the Cygwin list.  If you
> are using the full snapshots (cygwin-inst-$date.tar.bz2) they should be
> unpacked in the root (/).  The other types are just the cygwin1.dll
> which goes in /usr/bin of course.  And again, you do *not* need to mess
> with any of this to make stdio.h usable for building gcc.  Just take
> stdio.h from newlib HEAD and place it in /usr/include.
>
>> The FAQ does not seem to say that. From the instructions it would seem it
>> would go in the current users directory.
>
> Read it again.  Both tar commands include -C which means "cd to this
> directory before extacting."
>
>> I am a bit confused what winsup is as well.
>
> That is just a directory in the "src" tree that contains the code for
> Cygwin, MinGW, w32api, and other miscellaneous Windows things.  But note
> that you can't build Cygwin from just winsup/cygwin, as Cygwin needs
> other parts of the "src" tree, such as libiberty and newlib.  When you
> do a "cvs co cygwin" that is actually a CVS module that gets you a
> selected subset of the entire "src" tree, including the toplevel scripts
> that are shared across gcc/binutils/gdb/sim/etc.  If you later do "cvs
> up" from the toplevel you'll accidently get the entire "src" tree which
> you don't need, so you have to do "cvs up" in each individual directory.

Thanks. I think I understand most of that and will try again fresh tommorow.

I'll try not to bother the GCC list if I can possibly avoid it.

Thanks again,

Aaron

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/